"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
const helpers_1 = require("../../utils/helpers");
const fs_1 = tslib_1.__importDefault(require("fs"));
exports.default = async (integration, targetPath, omitFiles = []) => {
    const integrationThemePath = helpers_1.getDependencyPath(`${integration}-theme`);
    const integrationThemeFiles = fs_1.default.readdirSync(integrationThemePath)
        .filter(fileName => !omitFiles.includes(fileName))
        .map(directory => path_1.default.join(integrationThemePath, directory));
    await Promise.all(integrationThemeFiles.map(integrationThemeFile => helpers_1.copyThemeFiles(integrationThemeFile, path_1.default.isAbsolute(targetPath)
        ? targetPath
        : path_1.default.join(__dirname, targetPath), integrationThemePath)));
};
//# sourceMappingURL=copyIntegrationTheme.js.map